<?php
use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for AddCallParkReq StructType
 * @subpackage Structs
 */
class AddCallParkReq extends APIRequest
{
    /**
     * The callPark
     * @var XCallPark
     */
    public $callPark;
    /**
     * Constructor method for AddCallParkReq
     * @uses AddCallParkReq::setCallPark()
     * @param XCallPark $callPark
     */
    public function __construct(XCallPark $callPark = null)
    {
        $this
            ->setCallPark($callPark);
    }
    /**
     * Get callPark value
     * @return XCallPark|null
     */
    public function getCallPark()
    {
        return $this->callPark;
    }
    /**
     * Set callPark value
     * @param XCallPark $callPark
     * @return AddCallParkReq
     */
    public function setCallPark(XCallPark $callPark = null)
    {
        $this->callPark = $callPark;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return AddCallParkReq
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
